Subject: Re: linux-next: manual merge of the ftrace tree with the kselftest-fixes tree

From: Shuah Khan <[email-masked]>
Date: Wed, 18 Oct 2023 11:54:57 -0600

On 10/18/23 10:07, Steven Rostedt wrote:
> On Wed, 18 Oct 2023 10:01:04 -0600
> Shuah Khan <[email-masked]> wrote:
> 
>>> I fixed it up (see below) and can carry the fix as necessary. This
>>> is now fixed as far as linux-next is concerned, but any non trivial
>>> conflicts should be mentioned to your upstream maintainer when your tree
>>> is submitted for merging.  You may also want to consider cooperating
>>> with the maintainer of the conflicting tree to minimise any particularly
>>> complex conflicts.
>>>    
>>
>> Thank you Stephen.
>>
>> Steve, how would you like to handle this one. I am planning
>> to send fix to Linus this week to be included in Linux 6.6
>> in a fixes update.
> 
> Feel free to send it as you expected to. I do a merge of Linus's tree before
> sending a pull request for the merge window, and report all conflicts that
> occur.
> 
> Linus is good at merge conflict resolution, so this should not be a problem.
> 
> -- Steve

Thank you. I will cc you when I send the pull request later on this week.

thanks,
-- Shuah